//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_InvoiceAzure
    {
        public int id { get; set; }
        public string PartnerId { get; set; }
        public string PartnerName { get; set; }
        public string PartnerBillableAccountId { get; set; }
        public string CustomerCompanyName { get; set; }
        public string MpnId { get; set; }
        public string Tier2MpnId { get; set; }
        public string InvoiceNumber { get; set; }
        public Nullable<System.DateTime> ChargeStartDate { get; set; }
        public Nullable<System.DateTime> ChargeEndDate { get; set; }
        public string SubscriptionId { get; set; }
        public string SubscriptionName { get; set; }
        public string SubscriptionDescription { get; set; }
        public string OrderId { get; set; }
        public string ServiceName { get; set; }
        public string ServiceType { get; set; }
        public string ResourceGuid { get; set; }
        public string ResourceName { get; set; }
        public string Region { get; set; }
        public string Sku { get; set; }
        public string DetailLineItemId { get; set; }
        public Nullable<decimal> ConsumedQuantity { get; set; }
        public Nullable<decimal> IncludedQuantity { get; set; }
        public Nullable<decimal> OverageQuantity { get; set; }
        public Nullable<decimal> ListPrice { get; set; }
        public Nullable<decimal> PretaxCharges { get; set; }
        public Nullable<decimal> TaxAmount { get; set; }
        public Nullable<decimal> PostTaxTotal { get; set; }
        public string Currency { get; set; }
        public Nullable<decimal> PretaxEffectiveRate { get; set; }
        public Nullable<decimal> PostTaxEffectiveRate { get; set; }
        public string ChargeType { get; set; }
        public string CustomerId { get; set; }
        public string DomainName { get; set; }
        public string BillingCycleType { get; set; }
        public string Unit { get; set; }
        public Nullable<int> InvoiceId { get; set; }
    }
}
